From 5470254fa5fd0f6108b1f075d9ac2dd24afa7fdc Mon Sep 17 00:00:00 2001
From: C. McEnroe
Date: Thu, 6 Feb 2020 23:49:27 -0500
Subject: Add simple configure script

Mostly motivated by wanting to build with the ncurses in pkgsrc because
it supports italics.
---
 configure | 11 +++++++++++
 1 file changed, 11 insertions(+)
 create mode 100755 configure

(limited to 'configure')

diff --git a/configure b/configure
new file mode 100755
index 0000000..90e1173
--- /dev/null
+++ b/configure
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -eu
+
+libs='libcrypto libtls ncursesw'
+pkg-config --print-errors $libs
+
+cat >config.mk <<EOF
+CFLAGS += $(pkg-config --cflags $libs)
+LDFLAGS += $(pkg-config --libs-only-L $libs)
+LDLIBS = $(pkg-config --libs-only-l $libs)
+EOF
-- 
cgit 1.4.1-2-gfad0